From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/s6-networking/
Date: Fri, 28 Jan 2022 08:00:13 +0000 (UTC) [thread overview]
Message-ID: <1643356760.79a2cc81a7b379ba46fe670b8371bee29f648a73.sam@gentoo> (raw)
commit: 79a2cc81a7b379ba46fe670b8371bee29f648a73
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Jan 23 15:33:46 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 28 07:59:20 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79a2cc81
net-misc/s6-networking: respect AR, CC and RANLIB
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-misc/s6-networking/s6-networking-2.3.2.0.ebuild | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/net-misc/s6-networking/s6-networking-2.3.2.0.ebuild b/net-misc/s6-networking/s6-networking-2.3.2.0.ebuild
index 356302cf9f86..188831293ff0 100644
--- a/net-misc/s6-networking/s6-networking-2.3.2.0.ebuild
+++ b/net-misc/s6-networking/s6-networking-2.3.2.0.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+inherit toolchain-funcs
+
DESCRIPTION="Suite of small networking utilities for Unix systems"
HOMEPAGE="https://www.skarnet.org/software/s6-networking/"
SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
@@ -33,9 +35,13 @@ src_prepare() {
# Avoid QA warning for LDFLAGS addition; avoid overriding -fstack-protector
sed -i -e 's/.*-Wl,--hash-style=both$/:/' -e '/-fno-stack-protector$/d' \
configure || die
+
+ sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
}
src_configure() {
+ tc-export AR CC RANLIB
+
econf \
--bindir=/bin \
--dynlibdir=/usr/$(get_libdir) \
next reply other threads:[~2022-01-28 8:00 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-28 8:00 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-24 9:39 [gentoo-commits] repo/gentoo:master commit in: net-misc/s6-networking/ Petr Vaněk
2024-08-30 10:19 Petr Vaněk
2024-06-14 13:31 Petr Vaněk
2024-06-09 21:12 Sam James
2024-06-09 21:12 Sam James
2024-01-22 8:18 Petr Vaněk
2024-01-17 10:39 Petr Vaněk
2024-01-16 10:45 Petr Vaněk
2024-01-16 10:45 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-12-05 15:08 Petr Vaněk
2023-11-22 11:38 Sam James
2023-11-17 11:09 Sam James
2023-05-20 12:32 Joonas Niilola
2023-02-21 8:01 Sam James
2023-01-17 1:53 Sam James
2023-01-17 1:53 Sam James
2022-08-16 15:26 Joonas Niilola
2022-06-25 5:36 Sam James
2022-06-25 5:36 Sam James
2022-05-24 7:01 Joonas Niilola
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2020-12-29 1:21 William Hubbs
2020-10-11 17:49 William Hubbs
2020-05-16 7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2019-06-22 7:52 Michał Górny
2018-10-09 0:12 Georgy Yakovlev
2018-10-02 22:08 Michał Górny
2018-03-29 13:25 William Hubbs
2017-10-03 18:47 William Hubbs
2017-05-21 21:29 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1643356760.79a2cc81a7b379ba46fe670b8371bee29f648a73.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox